/*********** Gravity Forms *************/
.gfield_visibility_hidden,
.gform_submission_error,
.gform_validation_errors,
.gfield_required,
.hidden_label .gfield_label,
.gform_validation_container,
.gform_required_legend {
	display: none;
}
.gform_wrapper .gform_fields {
	width: 100%;
	display: grid;
	grid-template-columns: repeat(12, 1fr);
	grid-template-rows: repeat(auto-fill, auto);
	gap: 1.5rem;
}
.gform_wrapper .gfield {
	grid-column: 1/-1;
	position: relative;
}
.gform_wrapper .gfield.gfield--width-half {
	grid-column: span 6;
}
@media (max-width: 40rem) {
	.gform_wrapper .gfield:not(.gfield--width-full) {
		grid-column: 1/-1;
	}
}
.gform_body fieldset {
	border: 0;
	margin: 0;
	padding: 0;
}

.gfield_label {
	color: var(--global-palette4);
	display: block;
	font-size: 1rem;
	font-weight: bold;
	line-height: 1.5;
	margin: 0 0 0.75rem 0;
	padding-right: 0.3125rem;
}

.gfield input:is([type='text'], [type='email'], [type='tel'], [type='password']),
.gfield textarea {
	border-radius: 4rem;
	color: var(--global-palette1);
	font-size: 1rem;
	font-weight: 500;
	padding: 0.934em 1.5em 1em;
	width: 100%;
}
button.gform_show_password {
	background-color: transparent;
	border-radius: 0.2rem;
	color: var(--global-palette4);
	display: grid;
	place-items: center;
	height: 1.5rem;
	width: 1.5rem;
	position: absolute;
	top: 2.9rem;
	right: 2rem;
}
button.gform_show_password:hover,
button.gform_show_password:focus {
	background-color: transparent;
}
.gform_show_password .dashicons::before {
	content: '' !important;
}
.gform_show_password .dashicons {
	background: url('data:image/svg+xml,<svg viewBox="0 0 576 512" fill="currentColor" xmlns="http://www.w3.org/2000/svg" aria-hidden="true"><path d="M286.693 391.984l32.579 46.542A333.958 333.958 0 0 1 288 440C168.19 440 63.031 376.051 6.646 280.369a47.999 47.999 0 0 1 0-48.739c24.023-40.766 56.913-75.775 96.024-102.537l57.077 81.539C154.736 224.82 152 240.087 152 256c0 74.736 60.135 135.282 134.693 135.984zm282.661-111.615c-31.667 53.737-78.747 97.46-135.175 125.475l.011.015 41.47 59.2c7.6 10.86 4.96 25.82-5.9 33.42l-13.11 9.18c-10.86 7.6-25.82 4.96-33.42-5.9L100.34 46.94c-7.6-10.86-4.96-25.82 5.9-33.42l13.11-9.18c10.86-7.6 25.82-4.96 33.42 5.9l51.038 72.617C230.68 75.776 258.905 72 288 72c119.81 0 224.969 63.949 281.354 159.631a48.002 48.002 0 0 1 0 48.738zM424 256c0-75.174-60.838-136-136-136-17.939 0-35.056 3.473-50.729 9.772l19.299 27.058c25.869-8.171 55.044-6.163 80.4 7.41h-.03c-23.65 0-42.82 19.17-42.82 42.82 0 23.626 19.147 42.82 42.82 42.82 23.65 0 42.82-19.17 42.82-42.82v-.03c18.462 34.49 16.312 77.914-8.25 110.95v.01l19.314 27.061C411.496 321.2 424 290.074 424 256zM262.014 356.727l-77.53-110.757c-5.014 52.387 29.314 98.354 77.53 110.757z"></path></svg>')
		center no-repeat;
	display: block;
	width: 1.5rem;
	height: 1.5rem;
	position: absolute;
	top: 0.2rem;
	left: 0.2rem;
	opacity: 0.7;
}
.gform_show_password .dashicons.dashicons-visibility {
	background-image: url('data:image/svg+xml,<svg viewBox="0 0 576 512" fill="currentColor" xmlns="http://www.w3.org/2000/svg" aria-hidden="true"><path d="M569.354 231.631C512.969 135.949 407.81 72 288 72 168.14 72 63.004 135.994 6.646 231.631a47.999 47.999 0 0 0 0 48.739C63.031 376.051 168.19 440 288 440c119.86 0 224.996-63.994 281.354-159.631a47.997 47.997 0 0 0 0-48.738zM288 392c-75.162 0-136-60.827-136-136 0-75.162 60.826-136 136-136 75.162 0 136 60.826 136 136 0 75.162-60.826 136-136 136zm104-136c0 57.438-46.562 104-104 104s-104-46.562-104-104c0-17.708 4.431-34.379 12.236-48.973l-.001.032c0 23.651 19.173 42.823 42.824 42.823s42.824-19.173 42.824-42.823c0-23.651-19.173-42.824-42.824-42.824l-.032.001C253.621 156.431 270.292 152 288 152c57.438 0 104 46.562 104 104z"></path></svg>');
}
.gfield_password_strength {
	border-radius: 2rem;
	font-size: clamp(0.75rem, (100vw - 40rem), 0.875rem);
	font-weight: 900;
	padding: 0.1875rem 0.5em;
	text-align: center;
}
.gfield_password_strength.blank {
	display: none;
}
.gfield_password_strength.short {
	background-color: #f1adad;
	border-color: #e35b5b;
}
.gfield_password_strength.bad {
	background-color: #fbc5a9;
	border-color: #f78b53;
}
.gfield_password_strength.good {
	background-color: #ffe399;
	border-color: #ffc733;
}
.gfield_password_strength.strong {
	background-color: #c1e1b9;
	border-color: #83c373;
}

.gfield_validation_message {
	color: #a00;
	font-size: 75%;
	position: absolute;
	left: 1.5rem;
	bottom: -0.5em;
	line-height: 1;
}
.gfield--type-consent .gfield_validation_message {
	left: 2.625rem;
	bottom: -1.8em;
}

.gform_footer .button {
	margin-top: 2rem;
	padding-inline: 3rem;
}

/* footer */
#colophon .gfield_label {
	color: #fff;
	margin: 0;
}
#colophon .gform_footer .button {
	background-color: var(--e-global-color-secondary, #4f97d2);
}
#colophon .gform_footer .button:hover {
	background-color: var(--e-global-color-6a4f629, #1cc499);
}
#colophon .gfield_validation_message {
	background: transparent;
	bottom: -1.5em;
	color: #ff6b6b;
}
#colophon .gfield--type-consent .gfield_validation_message {
	bottom: -2.5em;
	left: 2.4rem;
}

.gform-loader {
	align-self: center;
	animation: gformLoader 1.1s infinite linear;
	block-size: 10em;
	border-block-end: 1.1em solid #000;
	border-block-start: 1.1em solid #fff;
	border-inline-end: 1.1em solid #fff;
	border-inline-start: 1.1em solid #000;
	border-radius: 50%;
	display: inline-block;
	font-size: 2px;
	inline-size: 10em;
	position: relative;
	transform: translateZ(0);
}
@keyframes gformLoader {
	0% {
		transform: rotate(0);
	}
	100% {
		transform: rotate(360deg);
	}
}
